Retrieves the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "168e32a1-a7a0-4d16-93a3-cbcd933980c5",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-04-11T11:27:01.0203533+00:00",
  "sales_territory_id": "ae0be7ca-80b8-4a85-969c-df68c1816790",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "cfb1d8a6-9b91-4e80-9365-29cae511b899",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "50dc09a4-818c-4dd2-b6d3-67fb8cd52cfc",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "25f9cf40-e708-4c65-8cc1-00ed05949f87",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "6114335b-cd8c-4366-9882-eab2be7af6ad",
      "db_currency_id": "de2a16ed-dbbb-4b6e-8b60-8b17b5320f7c",
      "db_language_id": "ce6edb47-0827-4e39-b5b0-94ace4e54394",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-04-11T11:27:01.0203533+00:00"
    },
    "modified_dateutc": "2026-04-11T11:27:01.0203533+00:00"
  },
  "marketing_segment_id": "a3930684-a3d4-4907-8dd6-929b7a7909cd",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "43dcdd36-bec1-42f7-ac91-275c65eb4e94",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "118dcc7c-6207-4e0c-9b29-da84500e1634",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "a8398655-4691-4ad2-824f-19efef7a85e9",
  "db_country_code": "sample string 28",
  "feelist_id": "967db310-5de1-4b2b-a332-614dfe16231b",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "da399467-1137-4c36-8300-af2596061c6b",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "831ada32-f0bf-42dd-a481-f4ee28caba69",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-04-11T11:27:01.0203533+00:00",
    "db_currency_id": "1271456b-7e6e-4af5-a799-ce1b0da7ac1f",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "ef19b59c-36e4-41ef-8f79-c54b55fa2231",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "ca5c67f6-f649-4bb1-b8a8-c3e87891f42a",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "c619604d-1685-4690-9fe2-7b30333a24ed",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "6939e578-9b36-4d57-9e1d-b6c7e824299a",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "ce756dde-d0c8-4fa8-8ca3-ca0bb51a28e8",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "2ac9cab8-1618-41ae-a120-f88a777293b4",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "9698eb35-3e7f-47c2-99ac-8aaf1025ba9a",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-04-11T11:27:01.0203533+00:00"
  },
  "company_sector_id": "084ae7d6-065d-4918-b8d1-5b33506fc829",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "c9059fbe-554b-407c-bc44-3f6c983bb2e8",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "e23744dc-340c-4c74-8fed-3a14188d2064",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "e47f63b6-d22d-4de7-ac03-57d4739b6ce8",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "1aa2b1ed-a2e8-4e25-b635-ad2e59ed9089",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-04-11T11:27:01.0203533+00:00",
  "id2": 60
}